#include <stdint.h>
#include <stdlib.h>

#include <spi.h>

int spi_set_cs_level(struct spi_dev *dev, int level)
{
	if (!dev)
		return -1;

	return dev->ops->set_cs_level(dev, level);
}

int spi_tx_rx(struct spi_dev *dev, void *rx_buf, const void *tx_buf,
	size_t len)
{
	if (!dev)
		return -1;

	return dev->ops->tx_rx(dev, rx_buf, tx_buf, len);
}
